

const Layout = () => import('@/layout/index.vue')

const manageRouter = {
    path: '/myslef',
    component: Layout,


    meta: {
      alwaysShow: false, // 始终显示根菜单
      title: '个人项目',
      icon: 'nested',
      roles: ['admin', 'teacher_user']
    },
    children: [
      //我负责的以及子页面
      {
        path: 'charge',
        component: () => import('@/views/personal/project/charge.vue'),
        name: 'Charge',
        meta: { title: '我负责的', icon: 'user', affix: true }
      },
      {
        path: 'childSysCharge',
        component: () => import('@/views/personal/project/childSystem/charge.vue'),
        name: 'ChildSysCharge',
        meta: { title: '我负责的 / 子系统', breadcrumb: true , hidden: true  },

      },
      {
        path: 'childModCharge',
        component: () => import('@/views/personal/project/childmodel/charge.vue'),
        name: 'ChildModCharge',
        meta: { title: '我负责的 / 子系统 / 子模块', breadcrumb: true , hidden: true  }
      },
      {
        path:'chargeDetail',
        component: () => import('@/views/personal/project/detail/charge.vue'),
        name: 'ChargeDetail',
        meta: { title: '我负责的 / 子系统 / 子模块 / 详情', breadcrumb: true , hidden: true  }
      },

      //我管理的以及子页面
      {
        path: 'manage',
        component: () => import('@/views/personal/project/manage.vue'),
        name: 'Manage',
        meta: { title: '我管理的', icon: 'user', affix: true,  },

      },
      {
        path: 'childSysManage',
        component: () => import('@/views/personal/project/childSystem/manage.vue'),
        name: 'ChildSysManage',
        meta: { title: '我管理的 / 子系统', breadcrumb: true , hidden: true  },

      },
      {
        path: 'childModManage',
        component: () => import('@/views/personal/project/childmodel/manage.vue'),
        name: 'ChildModManage',
        meta: { title: '我管理的 / 子系统 / 子模块', breadcrumb: true , hidden: true  }
      },
      {
        path:'manageDetail',
        component:()=>import('@/views/personal/project/detail/manage.vue'),
        name: 'ManageDetail',
        meta: { title: '我管理的 / 子系统 / 子模块 / 详情', breadcrumb: true , hidden: true  }
      },
      //我参与的以及子界面
      {
        path: 'participate',
        component: () => import('@/views/personal/project/participate.vue'),
        name: 'Participate',
        meta: { title: '我参与的', icon: 'user', affix: true }
      },
      {
        path: 'childSysParticipate',
        component: () => import('@/views/personal/project/childSystem/participate.vue'),
        name: 'ChildSysParticipate',
        meta: { title: '我参与的 / 子系统', breadcrumb: true , hidden: true  ,affix:false},

      },
      {
        path: 'childModParticipate',
        component: () => import('@/views/personal/project/childmodel/participate.vue'),
        name: 'ChildModParticipate',
        meta: { title: '我参与的 / 子系统 / 子模块', breadcrumb: true , hidden: true  }
      },
      {
        path: 'participateDetail',
        component:()=>import('@/views/personal/project/detail/participate.vue'),
        name: 'ParticipateDetail',
        meta: { title: '我参与的 / 子系统 / 子模块 /详情', breadcrumb: true , hidden: true  }
      }
    ]
  }


export default manageRouter
